#
# spec file for package patterns-sap
#
# Copyright (c) 2021-2023 SUSE LLC.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:       patterns-sap
Version:	15.5.1
Release:	150500.5.11.2
License:	MIT
Summary:	Patterns for SLES for SAP Applications
Url:		http://en.opensuse.org/Patterns
Group:		Metapackages
BuildRequires:	patterns-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Conflicts:      patterns-openSUSE-dvd5 patterns-openSUSE-dvd9 patterns-openSUSE-cd patterns-openSUSE-addon-non-oss patterns-openSUSE-GNOME-cd patterns-openSUSE-KDE-cd
ExclusiveArch:  x86_64 ppc64le

%description
This is an internal package that is used to create the patterns as part
of the installation source setup.  Installation of this package does
not make sense.

%package bone
%pattern_basetechnologies
Summary:    SAP BusinessOne Server Base
Provides:   Metapackages
#bsc#1085454
Provides:   pattern() = sap%2dbone
Provides:   pattern-icon() = pattern-generic
Provides:   pattern-order() = 3080
Provides:   pattern-visible()
Requires:   pattern() = basesystem
Requires:   bash
Requires:   bind-utils
Requires:   coreutils
Requires:   cron
Requires:   cryptctl
Requires:   curl
Requires:   cyrus-sasl
Requires:   gawk
Requires:   glibc
Requires:   glibc-i18ndata
Requires:   glibc-locale
Requires:   jq
Requires:   keyutils-libs
Requires:   krb5
Requires:   libaio1
Requires:   libcap-progs
Requires:   libcom_err2
Requires:   libcurl4
Requires:   libgcrypt20
Requires:   libexpat1
Requires:   libgcc_s1
Requires:   libgpg-error0
Requires:   libgthread-2_0-0
Requires:   libicu60_2
Requires:   libidn11
Requires:   libldap-2_4-2
Requires:   libstdc++6
Requires:   net-tools
Requires:   nfs-kernel-server
Requires:   numactl
Requires:   openssl
Requires:   pam
Requires:   perl
Requires:   python3
Requires:   rpm-build
Requires:   samba
Requires:   samba-client
Requires:   timezone
Requires:   unzip
Requires:   xmlstarlet
Requires:   zip
Requires:   zlib
Suggests:   clamsap
Obsoletes:  sles4sap-white-papers
Provides:   patterns-sap-b1 = %version
Obsoletes:  patterns-sap-b1 =< %version

%description bone
Set up the server for installing SAP BusinessOne systems.

%package hana
%pattern_basetechnologies
Summary:    SAP HANA Server Base
Provides:   Metapackages
#bsc#1085454
Provides:   pattern() = sap%2dhana
Provides:   pattern-icon() = pattern-generic
Provides:   pattern-order() = 3080
Provides:   pattern-visible()
Requires:   pattern() = basesystem
Requires:   autoyast2-installation
Requires:   bc
Requires:   cryptctl
Requires:   expect
Requires:   gtk2
Requires:   libatomic1
Requires:   libgcc_s1
Requires:   libicu
Requires:   libjpeg62
Requires:   libpng12-0
Requires:   libstdc++6
Requires:   chrony 
Requires:   numactl
Requires:   sudo
Requires:   sysstat
Requires:   tcsh
Requires:   xfsprogs
Requires:   xrdp
Requires:   yast2-ncurses
Recommends: clamsap
Recommends: HANA-Firewall
Recommends: SAPHanaSR
Recommends: sap-installation-wizard
Recommends: sap-netscape-link
Recommends: sapcontrol-bash-completion
Recommends: saprouter-systemd
Recommends: saptune
Recommends: supportutils-plugin-ha-sap
Recommends: yast2-hana-firewall
Recommends: yast2-sap-ha
Recommends: yast2-sap-scp
Recommends: yast2-sap-scp-prodlist
Suggests:   clone-master-clean-up
Suggests:   sapconf
Suggests:   SAPHanaSR-ScaleOut
Obsoletes:  sles4sap-white-papers
%ifarch x86_64
Requires:   krb5-32bit
%endif

%description hana
Set up the server for installing SAP HANA systems.

%package nw
%pattern_basetechnologies
Summary:    SAP NetWeaver Server Base
Provides:   Metapackages
#bsc#1085454
Provides:   pattern() = sap%2dnw
Provides:   pattern-icon() = pattern-generic
Provides:   pattern-order() = 3080
Provides:   pattern-visible()
Requires:   pattern() = basesystem
Requires:   clamsap
Requires:   cryptctl
Requires:   saptune
Requires:   sap-installation-wizard
Requires:   sap-netscape-link
Requires:   sapcontrol-bash-completion
Requires:   saprouter-systemd
Requires:   supportutils-plugin-ha-sap
Requires:   tcsh
Requires:   tuned
Requires:   util-linux
Requires:   util-linux-systemd
Requires:   uuidd
Requires:   yast2-sap-scp
Requires:   yast2-sap-scp-prodlist
Suggests:   clone-master-clean-up
Suggests:   sapconf
Obsoletes:  sles4sap-white-papers

%description nw
Set up the server for installing SAP NetWeaver systems.

%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-sap/
echo 'This file marks the pattern sap-bone to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-sap/bone.txt
echo 'This file marks the pattern sap-hana to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-sap/hana.txt
echo 'This file marks the pattern sap-nw to be installed.' > $RPM_BUILD_ROOT/usr/share/doc/packages/patterns-sap/nw.txt

%post

%postun

%files

%files bone
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-sap
/usr/share/doc/packages/patterns-sap/bone.txt

%files hana
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-sap
/usr/share/doc/packages/patterns-sap/hana.txt

%files nw
%defattr(-,root,root)
%dir /usr/share/doc/packages/patterns-sap
/usr/share/doc/packages/patterns-sap/nw.txt

%changelog
* Tue Sep 10 2024 varkoly@suse.com
- libicu60_2 is missed in SAP BusinessOne Server Base pattern
  (bsc#1230380)
* Thu Feb 22 2024 varkoly@suse.com
- patterns-sap-nw blocks installation of SAPHanaSR-angi package
  (bsc#1220161)
* Sat Sep  2 2023 varkoly@suse.com
- Adapt required packages to the new SAP BusinessOne
  (bsc#1214161)
  SAP installation wizard stops after HANA installation
* Wed Apr 12 2023 varkoly@suse.com
- SAP B1 Image packages missing (bsc#1194741)
- Remove all SLES4SAP packages from BusinessOne pattern.
* Mon Feb 27 2023 varkoly@suse.com
- Rename pattern "b1" to "bone" to avoid missleading information to B1.
- Impl: Automatic Setup for SAP BusinessOne (jsc#PED-3111)
  Do not require HA and SLES4SAP packages
* Thu Jan 19 2023 abriel@suse.com
- add new package sapcontrol-bash-completion to the patterns
  (jsc#PED-2213)
* Tue Oct 25 2022 varkoly@suse.com
- Remove yast2-saptune from the patterns
  Drop yast2 saptune module (jsc#PED-399)
* Wed Oct  6 2021 varkoly@suse.com
- patterns-sap incorrectly required Python2
  (bsc#1191002)
  Adapt requirement
* Thu Sep 23 2021 varkoly@suse.com
- (jsc#SLE20033)
  Remove libssh2-1 form sap-hana pattern
  Fix version in spec
* Tue Mar 30 2021 abriel@suse.com
- bsc#1180531 Add supportutils-plugin-ha-sap
* Mon Mar 30 2020 sweiberg@suse.com
- jsc#SLE-9063 Add obsoletes for sles4sap-white-papers to remove it
  in case of migrations
* Tue Nov 26 2019 sweiberg@suse.com
- jsc#SLE-9063 remove sles4sap-white-papers from SAP patterns as it
  got removed in 15 SP2
* Thu Apr 11 2019 sweiberg@suse.com
- bsc#1132119 - newest HANA 2 SPS04 Installer requires additional
  libraries for the installation
  Added the missing GCC7 libraries to be installed with the HANA
  pattern
* Tue May 22 2018 dakechi@suse.com
- bsc#1094239 - SAP Patterns suggests the kiwi-sap-template package,
  but this package is not intended to be used on production systems
  The kiwi-sap-template package was removed to guarantee that customer
  only install it when they intend to create their on images using
  kiwi.
* Thu Mar 15 2018 dakechi@suse.com
- bsc#1085454 - patterns-sap: pattern provides may not have
  unescaped '-' in name
  Changed the Provides clause to use escaped "_" to avoid that
  rpm/libsolv misinterprets it.
* Wed Mar  7 2018 dakechi@suse.com
- bsc#1084305 - Remove support packages from the SAP HANA Pattern
  SAP had dropped the SAP Note 1855805 that recommended the following
  packages to be used for support cases:
  - bing
  - bonnie
  - cairo
  - findutils-locate
  - graphviz
  - iptraf
  - krb5-client
  - nfs-client
  - sensors
  These were included on the SAP HANA Pattern in the past (except
  iptraf and findutils-locate) and therefore need to be removed.
* Tue Feb  6 2018 dakechi@suse.com
- bsc#1079234 - SAP Patterns uninstallable
  Changed to build only for the SLES4SAP supported Archs
* Mon Jan 22 2018 dakechi@suse.com
- bsc#1076826 - saptune is not installed on ppc64le
  Adjusted the pattern to include saptune also for ppc
* Thu Jan 18 2018 dakechi@suse.com
- bsc#1076554 - No provider for pattern sap-hana found
  Changed the libicu dependency to be icu version agnostic
* Wed Dec 20 2017 varkoly@suse.com
- bnc#1072807 - patterns-sap-hana requires obsolete ntp
  FATE#323411 for SLE15, based on the announcement in CODE 12
  Replace ntp by chrony
* Tue Nov  7 2017 dakechi@suse.com
- FATE#320794: Switch from SuSEfirewall2 to firewalld: Removed
  SuSEFirewall2 from the sap-b1 pattern
* Thu Oct 19 2017 dakechi@suse.com
- bsc#1060528 - Included the tcsh package on the NW pattern because
  it is not installed by default on the base system anymore.
* Mon Oct 16 2017 dakechi@suse.com
- bsc#1060500 - updated the pattern for the libicu version that
  will be released on SLE-15. Adjusted the pattern to not include
  krb5-32bit on power machines.
* Mon Oct  9 2017 dakechi@suse.com
- bsc#1060500 - sap-hana pattern does not exist: Removed the
  wxWidgets-* packages that is not used by the HANA installation
  anymore.
* Thu Oct  5 2017 dakechi@suse.com
- Removed the IBM java packages since SAP provides their own JVM
  on their product installer and IBM Java will be moved to the
  legacy module (FATE#323810)
- Included back krb5-32bits that was removed by mistake
* Thu Aug 31 2017 dakechi@suse.com
- Changed to follow the new rules of Pattern development
* Thu Aug 24 2017 varkoly@suse.com
- Remove compat packages
* Wed Jul 19 2017 varkoly@suse.com
- bsc#1046729 - conflict resolution for
  patterns-sap-hana-12.2-12.1.ppc64le
- Make java-1_7_1-ibm-plugin arch depending
* Thu Jul 13 2017 varkoly@suse.com
- bsc#1047969 Media 0444 - B1 software pattern has unsatisfied
  dependency
* Wed Jul 12 2017 varkoly@suse.com
- bsc#1046729 conflict resolution for
  patterns-sap-hana-12.2-12.1.ppc64le
* Wed Jul  5 2017 varkoly@suse.com
- bsc#1047292 - RC2 | ppc64le | dependency error after choosing
  SAP HANA Server Base pattern
* Thu Jun 22 2017 varkoly@suse.com
- BNC#1045516 Add packages to the installation pattern
* Thu Apr 27 2017 varkoly@suse.com
- FATE#322387 Modifed SLES4SAP software pattern for B1
* Thu Apr  6 2017 varkoly@suse.com
- FATE#322387 Modifed SLES4SAP software pattern for B1
* Fri Aug 19 2016 varkoly@suse.com
- bnc#992788 ClusterTools2 are part of sap-hana pattern
* Mon Aug 15 2016 hguo@suse.com
- Install yast2-sap-scp by default. (bsc#989314)
* Thu Aug  4 2016 hguo@suse.com
- Remove obsolete sapvnc package from all patterns.
  bsc#992070
* Wed Jul 13 2016 varkoly@suse.com
- BNC#988750 - Introduce new packages to software patterns
* Wed May 25 2016 varkoly@suse.com
- fate#319849 Add selected SLES for SAP whitepapers on the
  installation medium
- bnc#966743  Add "netscape" link to /usr/bin
* Thu Jan  7 2016 varkoly@suse.com
- BNC#959739 - tuned package is not included into all of the
  SAP patterns
* Wed Nov 18 2015 varkoly@suse.com
- BNC#954476 - SAP HANA GUI installer is missing dependencies
* Tue Nov 17 2015 varkoly@suse.com
- HANA installer needs libpng12-0
* Thu Oct 22 2015 varkoly@suse.com
- Remove packages do not exist on SLE12
* Wed Oct 21 2015 varkoly@suse.com
- Remove  mozilla-xulrunner192 and libidn-32bit
* Mon Oct 19 2015 varkoly@suse.com
- Fix the package name
* Wed Oct 14 2015 varkoly@suse.com
- bnc#950343 - All SAP patterns broken
- bnc#949732 - libstdc++.so.5 is missing after installation of
  SAP TREX using sap-inst-wizard
- Add libopenssl_0_9_8 to the hana pattern as required in
  SAPNOTE#1984787 - SUSE LINUX Enterprise Server 12: Installation
  notes
* Thu Oct  1 2015 varkoly@suse.com
- Adapt the patterns to actuall sapnortdes
  SAPNOTE#1984787 - SUSE LINUX Enterprise Server 12: Installation
  notes
  SAPNOTE#1855805 - Recommended SLES 11 packages for HANA support on
  OS level
  SAPNOTE#1944799 - SAP HANA Guidelines for SLES Operating System
  Installation
* Mon Sep 28 2015 hguo@suse.com
- Bring back sapconf.
* Thu Sep 24 2015 varkoly@suse.com
- Clean up.
- Do not require clone-master-clean-up
* Fri Sep 11 2015 hguo@suse.com
- Replace sapconf by tuned-sap.
- Introduce tuned-sap and clone-master-clean-up  with all patterns.
- Bump version from 12 to 12.1.
* Tue Dec 16 2014 varkoly@suse.com
- Initial version of the SAP pattern packages.
